Retrieves the work order type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Response Formats
application/json, text/json
Sample:
{
"id": "c85e0e30-6bdf-48fe-b5ea-7bcf62b57f28",
"name": "sample string 2",
"sales_organization_id": "633ab52d-8454-4663-a42b-41265fc23b15",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-05-28T16:58:52.2997937+00:00",
"code": "sample string 7"
}